/* override c7 styles */
body {
	--c7-field-border-radius: 0px; 
	--c7-button-border-radius: 0px; 
	--c7-primary-button-bg: transparent;
	--c7-primary-button-bg-hover:transparent;
	--c7-primary-button-text-color: #4E2B4D;
	--c7-heading-font-family: "Playfair Display", sans-serif;
	--c7-heading-font-weight: 500;
	--c7-font-family: "Nunito Sans", sans-serif;
	--c7-body-text-color: #000;
	--c7-link-color:#000;
	--c7-field-option-selected-color: #4E2B4D;
	--c7-field-option-focus-color: #827553;
}

/* account header */
#account-header {
	display: inline-flex;
	width: 100%;
	justify-content: end;
}

/* Squarespace */
/* in staging mode 
#account-header {
display: inline-flex;
width: 100%;
justify-content: end;
} */
/* position absolute option
#account-header {
display: inline-flex;
position: absolute;
top: 10px;
right: 10px;
z-index: 999;
}
*/

body header .ast-builder-grid-row {
	overflow-wrap: normal;
}

#media_image-3 {
	max-width: 200px;
	margin: 0 auto 20px;
}

#account-header #c7-account {
	padding-right: 0;
	display:inline-block;
}
#account-header #c7-cart .c7-user-nav__cart {
	display:flex;
}
#account-header > #c7-cart {
	display:inline-flex;
}
#c7-account, #c7-cart {
	display:inline-block;
	margin-left: 5px;

}
#c7-account .c7-user-nav__account a {
	color:#4E2B4D;
	text-transform: uppercase;
	padding:0px;
}
#c7-account .c7-user-nav__account__dropdown a {
	color: var(--c7-body-text-color);
}
#c7-cart .c7-user-nav__cart .c7-link:first-child {
	background-color: transparent;
	border:none;
} 
body .c7-reservation-widget .c7-date-picker-dropdown button {
	padding: 0px;
}
#c7-cart .c7-user-nav__cart .c7-user-nav__cart__title svg {
	stroke:#4E2B4D;
}
#c7-cart .c7-user-nav__cart__count {
	background-color: #000;
}
#c7-cart .c7-user-nav__cart button.c7-link {
	padding: 0px !important;
}
#c7-cart .c7-order-item__description {
	margin-top: 10px;
	font-size: 10px;
}

#ast-desktop-header .site-header-primary-section-right-center {
	display: none;
}

.ast-builder-layout-element[data-section="section-hb-social-icons-1"] {
  display: flex;
  padding-right: 0;
}

#account-header-mobile {
	padding-right: 10px;
}
/* Overall styling */

/* button styles */
body .c7-btn {
	border: 2px solid !important;
	font-weight: 600!important;
	background: transparent;
	text-transform: uppercase !important;
	text-decoration: none !important;
}
body .c7-btn:hover, body .c7-cart__buttons .c7-btn:hover {
	border-color: #827553!important;
	background: transparent!important;
	font-weight: 600!important;	
	scale: 0.9;
}

body .c7-form input[name="quantity"] {
	border-width: 2px;
}

/* headings */
body h1.c7-h1, 
body .c7-account__header p:first-of-type {
	text-align: center;
}

body .c7-product-collection .c7-product__title, 
body .c7-product-collection .c7-product__title a, 
body .c7-product-allocation .c7-product__title,
body .c7-product-allocation .c7-product__title a, 
body .c7-club-product__details__title,
body .c7-club-product__details__title a {
	font-family: var(--c7-heading-font-family);
	font-size: 20px;
	line-height: 1.2;
	text-decoration: none;
}

body .c7-order-item__title a {
	font-family: var(--c7-heading-font-family) !important;	
	text-decoration: none !important;
}


/* slide out cart */
body .c7-side-cart__header button {
	background-color: transparent;
	color:#000;
}
/* shrink checkout buttons */
body .c7-order-summary__buttons a {

	/*font-size: 12px;*/
}


/* make link buttons look like links */
body button.c7-link {
	background-color:transparent;
	border: 0px;
	color: var(--c7-body-text-color);
}
body button.c7-link:hover {
	opacity: 0.6;
}


/* dashboard tweaks */
.c7-account__dashboard__message {
	margin-bottom: 20px;
}
.c7-account-row {
	max-width: 100% !important;
	justify-content: space-between !important;
}
body .c7-account-login__password-options {

}
body .c7-account-login__options {

}

/* cart styling */
.cart-row h1 {
	display:none;
}
.c7-cart__wrapper, .c7-account__dashboard {
	max-width: 100% !important;
	margin:0px auto !important;
	justify-content: space-between !important;
}

/* fix lightboxes that go behind sticky header */
/* body .c7-modal-container {
top: 14%;
} */



/* hide club cancelation 
.c7-account-club .c7-account-blocks--status .c7-account-block__actions {
display:none !important;
}
.c7-callout--club .c7-callout__details li:nth-child(2), .c7-callout--club .c7-callout__details li:nth-child(3) {
display:none !important;
}*/

/* hide club skip
.c7-account-club__shipment__footer .c7-btn--skip {
display:none !important;
}*/


/* hide delete account 
.c7-account-details .c7-account-details__delete-account {
display:none !important;
}*/

/* hide reservations 
.c7-account__menu li:nth-child(4) {
display:none;
}
.c7-account-dashboard__left-column .c7-account-block:nth-child(3) {
display:none;
}
.c7-user-nav__account__dropdown__header ul li:nth-child(4) {
display:none;
}
*/

/* collection styling */
.c7-product-collection .c7-product {
	display:block !important;
	text-align: center !important;
}
.c7-product-collection__product-list {
	grid-template-columns: 1fr 1fr 1fr !important;
}
.c7-product-collection .c7-product img {
	width: auto;
	object-fit:cover;
}
/* fix default right margin on image grid */
.c7-product-collection .c7-product__image {
	margin-right: 0px;
}
.c7-product-collection .c7-product .c7-product__add-to-cart__form {
	justify-content: center !important;
	align-items: center !important;
}

/* calendar styling ADA fix */
.c7-reservation-widget .c7-date-picker-input button {
	background-color: transparent !important;
	border-radius: 0px !important;
}
.c7-reservation-widget .c7-date-picker-dropdown button {
	color:inherit;
	background-color: inherit;
}

/* collection - filters */
body .c7-user-nav__collection-list ul {
	display: flex;
	flex-wrap: wrap;
	gap: 20px;
	text-transform: uppercase;
	justify-content: center;
}

body .c7-user-nav__collection-list ul a {
	text-decoration: none!important;
	letter-spacing: 1px!important;
}

/* reservation */
.c7-date-picker-dropdown td, 
.c7-date-picker-dropdown th {
	padding: 0;
}

/* profile */
body .c7-account__menu li a {
	text-decoration: none!important;
}

body .c7-account-block__title,
body #c7-content h2.c7-h2 {
	font-family: var(--c7-heading-font-family);
	color: #4E2B4D;
}

body .c7-account .c7-btn,
body .c7-account-block .c7-btn,
body .c7-account-details .c7-btn {
	font-family: "Nunito Sans", Sans-serif;
	font-size: 14px;
	font-weight: 500;
	text-transform: uppercase;
	letter-spacing: 2px;
	text-decoration: none;
}

body .c7-account-club-shipments .c7-btn,
body .c7-account-orders .c7-btn,
body .c7-account-reservations .c7-btn {
	border: 2px solid !important;
}

body .c7-account .c7-btn:hover,
body .c7-account-block .c7-btn:hover,
body .c7-account-details .c7-btn:hover {
	scale:1;
	font-size: 14px;
	letter-spacing: 2px;
}

body .c7-account-block button.c7-link:hover {
	text-decoration: none;	
}

/* homepage */
.c7-subscribe.footer-form .c7-form {
	margin: 0 auto;
}


/* mobile overrides */
@media screen and (max-width: 1024px){
	/* two column on tablet */ 
	.c7-product-collection__product-list {
		grid-template-columns: 1fr 1fr !important;
	} 
}

@media screen and (max-width: 767px){

	/* mobile header position */
	#account-header {
		top: 0px;
	}

	/* one column on mobile */
	.c7-product-collection__product-list {
		grid-template-columns: 1fr !important;
	} 

	.c7-product-specs {
		text-align: left !important;
		margin: 0px !important;
	}
	.c7-product-specs h2 {
		text-align: left !important;
	}
	
	body .elementor .show-on-mobile {
		display: block!important;
	}
}